import request from '@/utils/request'

// 查询分销记录列表
export function listConsumeLog(query) {
  return request({
    url: '/xq/consumeLog/list',
    method: 'get',
    params: query
  })
}

// 查询分销记录详细
export function getConsumeLog(id) {
  return request({
    url: '/xq/consumeLog/' + id,
    method: 'get'
  })
}

// 新增分销记录
export function addConsumeLog(data) {
  return request({
    url: '/xq/consumeLog',
    method: 'post',
    data: data
  })
}

// 修改分销记录
export function updateConsumeLog(data) {
  return request({
    url: '/xq/consumeLog',
    method: 'put',
    data: data
  })
}

// 删除分销记录
export function delConsumeLog(id) {
  return request({
    url: '/xq/consumeLog/' + id,
    method: 'delete'
  })
}
